Loading...
Searching...
No Matches
BALL::FPTBondOrderStrategy::ComputingData_ Class Reference

`#include <BALL/STRUCTURE/BONDORDERS/FPTBondOrderStrategy.h>`

## Public Member Functions

| ComputingData_ ()
| ~ComputingData_ ()

## Public Attributes

vector< FPTBondOrderAssignment_ * > | bond_assignments
MolecularGraph * | molecule_graph
boost::shared_ptr< TreeWidth< MolecularGraph > > | tw
vector< Bond const * > | bonds

## Detailed Description

This data structure contains all algorithm data which is generated during the #start function and which can be shared above more than one FPTBondOrderStrategy "iterator", if they compute all the same molecule with the same penalty table.

Definition at line 650 of file FPTBondOrderStrategy.h.

## Constructor & Destructor Documentation

## ComputingData_()

BALL::FPTBondOrderStrategy::ComputingData_::ComputingData_ | ( |  | ) |

Default constructor

## ~ComputingData_()

BALL::FPTBondOrderStrategy::ComputingData_::~ComputingData_ | ( |  | ) |

Deletes the dynamic programming table, the molecule graph and the nice tree decomposition

## Member Data Documentation

## bond_assignments

vector<FPTBondOrderAssignment_*> BALL::FPTBondOrderStrategy::ComputingData_::bond_assignments

The bond assignments for each connection component of this molecule

Definition at line 666 of file FPTBondOrderStrategy.h.

## bonds

vector<Bond const *> BALL::FPTBondOrderStrategy::ComputingData_::bonds

a vector with pointers to the bonds of the atom container. The order of this bonds in the vector is the same as the order of the bond values in the assignments.

Definition at line 682 of file FPTBondOrderStrategy.h.

## molecule_graph

MolecularGraph* BALL::FPTBondOrderStrategy::ComputingData_::molecule_graph

the molecule graph

Definition at line 671 of file FPTBondOrderStrategy.h.

## tw

boost::shared_ptr<TreeWidth<MolecularGraph> > BALL::FPTBondOrderStrategy::ComputingData_::tw

The nice tree decompositions for each connection component

Definition at line 676 of file FPTBondOrderStrategy.h.